---
title: HTMLMediaElement.duration
slug: Web/API/HTMLMediaElement/duration
tags:
  - API
  - HTML DOM
  - HTMLMediaElement
  - Property
  - Read-only
  - Time
  - Web
  - duration
  - seconds
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <em>read-only</em> {{domxref("HTMLMediaElement")}} property <code><strong>duration</strong></code> indicates the length of the element's media in seconds.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>myDuration</em> = <em>htmlMediaElement</em>.duration</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the duration of the media in seconds. If no media data is available, the value <code>NaN</code> is returned. If the element's media doesn't have a known duration—such as for live media streams—the value of <code>duration</code> is <code>+Infinity</code>.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.duration); // NaN
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-duration", "HTMLMediaElement.duration")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.duration")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.duration")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Media">Web media technologies</a></li>
 <li>{{domxref("HTMLMediaElement.currentTime")}}: The current playback position of the media</li>
 <li>The {{HTMLElement("audio")}} and {{HTMLElement("video")}} elements</li>
</ul>
